diff -urN linux.old/fs/file_table.c linux.diff/fs/file_table.c
--- linux.old/fs/file_table.c	Mon Jan 14 16:58:21 2002
+++ linux.diff/fs/file_table.c	Mon Jan 14 16:59:40 2002
@@ -108,24 +108,22 @@
 	struct vfsmount * mnt = file->f_vfsmnt;
 	struct inode * inode = dentry->d_inode;
 
-	{
-		locks_remove_flock(file);
-		if (file->f_op && file->f_op->release)
-			file->f_op->release(inode, file);
-		fops_put(file->f_op);
-		file->f_dentry = NULL;
-		file->f_vfsmnt = NULL;
-		if (file->f_mode & FMODE_WRITE)
-			put_write_access(inode);
-		dput(dentry);
-		if (mnt)
-			mntput(mnt);
-		file_list_lock();
-		list_del(&file->f_list);
-		list_add(&file->f_list, &free_list);
-		files_stat.nr_free_files++;
-		file_list_unlock();
-	}
+	locks_remove_flock(file);
+	if (file->f_op && file->f_op->release)
+		file->f_op->release(inode, file);
+	fops_put(file->f_op);
+	file->f_dentry = NULL;
+	file->f_vfsmnt = NULL;
+	if (file->f_mode & FMODE_WRITE)
+		put_write_access(inode);
+	dput(dentry);
+	if (mnt)
+		mntput(mnt);
+	file_list_lock();
+	list_del(&file->f_list);
+	list_add(&file->f_list, &free_list);
+	files_stat.nr_free_files++;
+	file_list_unlock();
 }
 
 struct file * fget(unsigned int fd)
